Subject: [PATCH 2/2] memory: omap-gpmc: expand the description of the debug facility

From: [email-masked] (Tony Lindgren)
Date: Wed, 7 Oct 2015 03:41:19 -0700

* Uwe Kleine-K?nig <[email-masked]> [151007 00:57]:
> On Wed, Oct 07, 2015 at 10:45:50AM +0300, Roger Quadros wrote:
> > 
> > How about this instead?
> > 
> > NOTE: Apart from matching the register setup with the bootloader you also need to
> > match the GPMC FCLK frequency used by the bootloader else the GPMC timings
> > won't be identical with the bootloader timings.
> Yeah, sounds better, thanks.
> 
> > Also you might need to build this patch on top of
> > http://article.gmane.org/gmane.linux.kernel/2054796
> I talked to Tony about this patch yesterday on irc, but I didn't find it
> in the archives yet when I sent my mail.

Yes sorry here's a repost with your and Roger's changes folded in and
edited a bit. Probably best to keep them together with this patch.

Does the following look OK to you guys?

Regards,

Tony

8< ----------------
From: Tony Lindgren <[email-masked]>
Date: Tue, 6 Oct 2015 05:36:17 -0700
Subject: [PATCH] memory: omap-gpmc: Fix unselectable debug option for GPMC
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Commit 63aa945b1013 ("memory: omap-gpmc: Add Kconfig option for debug")
added a debug option for GPMC, but somehow managed to keep it unselectable.

This probably happened because I had some uncommitted changes and the
GPMC option is selected in the platform specific Kconfig.

Let's also update the description a bit, it does not mention that
enabling the debug option also disables the reset of GPMC controller
during the init as pointed out by Uwe Kleine-K?nig
<[email-masked]> and Roger Quadros <[email-masked]>.

Fixes: 63aa945b1013 ("memory: omap-gpmc: Add Kconfig option for debug")
Reported-by: Uwe Kleine-K?nig <[email-masked]>
Signed-off-by: Tony Lindgren <[email-masked]>

--- a/drivers/memory/Kconfig
+++ b/drivers/memory/Kconfig
@@ -58,12 +58,18 @@ config OMAP_GPMC
 	  memory drives like NOR, NAND, OneNAND, SRAM.
 
 config OMAP_GPMC_DEBUG
-	bool
+	bool "Enable GPMC debug output and skip reset of GPMC during init"
 	depends on OMAP_GPMC
 	help
 	  Enables verbose debugging mostly to decode the bootloader provided
-	  timings. Enable this during development to configure devices
-	  connected to the GPMC bus.
+	  timings. To preserve the bootloader provided timings, the reset
+	  of GPMC is skipped during init. Enable this during development to
+	  configure devices connected to the GPMC bus.
+
+	  NOTE: In addition to matching the register setup with the bootloader
+	  you also need to match the GPMC FCLK frequency used by the
+	  bootloader or else the GPMC timings won't be identical with the
+	  bootloader timings.
 
 config MVEBU_DEVBUS
 	bool "Marvell EBU Device Bus Controller"